net.sourceforge.pmd.util.datasource

## Interface DataSource

- All Known Implementing Classes:
    FileDataSource, ZipDataSource

      public interface DataSource

  Represents a source file to be analyzed. Different implementations can get the source file from different places: the filesystem, a zip or jar file, etc.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getInputStream()` Get an InputStream on the source file.
    `String` | `getNiceFileName(boolean shortNames, String inputFileName)` Return a nice version of the filename.

- - ### Method Detail

    - #### getInputStream

          InputStream getInputStream()
                                     throws IOException

      Get an InputStream on the source file.
      Returns:
        the InputStream reading the source file
      Throws:
        `IOException` - if the file can't be opened

    - #### getNiceFileName

          String getNiceFileName(boolean shortNames,
                               String inputFileName)

      Return a nice version of the filename.
      Parameters:
        `shortNames` - true if short names are being used
        `inputFileName` - name of a "master" file this file is relative to
      Returns:
        String

Copyright © 2002-2013 InfoEther. All Rights Reserved.